<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[24, 16]">
    <div nz-col class="gutter-row" nzLg="24">
      <label>{{ labelMessage }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="24">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        formControlName="reason"
        [mbMaxLength]="200"
        mbLabelText="{{
          'development.list-plan.search.cancelPlan' | translate
        }}"
        mbPlaceholderText="{{
          'development.list-plan.search.cancelPlan' | translate
        }}"
        [mbType]="
          isSubmitted && form.get('reason')?.errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && !!form.get('reason')?.errors"
        [mbErrors]="form.get('reason')?.errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'development.list-plan.messages.validateReasonCancelPlan' | translate
          }
        ]"
      ></mb-input-text>
    </div>
  </div>
</form>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.continue' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
